sasl_auxprop_getctx(10 July 2001)

NAME
sasl_auxprop_getctx - Acquire an auxiliary property context

SYNOPSIS
#include <sasl/sasl.h>

int sasl_auxprop_getctx(sasl_conn_t *conn)

DESCRIPTION
sasl_auxprop_getctx will return an auxiliary property context for the given sasl_conn_t on which the functions described in sasl_auxprop(3) can operate. conn the sasl_conn_t for which the request is being made.

RETURN VALUE
Returns a pointer the the context on success. Returns NULL on failure.

CONFORMING TO
RFC 2222

SEE ALSO
sasl(3), sasl_auxprop(3), sasl_auxprop_request(3)